#ifndef XANIMPARTTRANSDATA_H
#define XANIMPARTTRANSDATA_H

#include "xasset.h"
#include "xanimparttransframes.h"

class XAnimPartTransData : public XAsset
{
public:
    explicit XAnimPartTransData();
    XAnimPartTransData(const XAnimPartTransData &aSrc);
    ~XAnimPartTransData() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XAnimPartTransFrames mFrames;
    QVector3D mFrame;
};

#endif // XANIMPARTTRANSDATA_H



